Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.pubsub
Class NodeAffiliate

    java.lang.Object
      org.jivesoftware.openfire.pubsub.NodeAffiliate

    public class NodeAffiliate

extends Object

A NodeAffiliate keeps information about the affiliation of an entity with a node. Possible affiliations are: owner, publisher, none or outcast. All except for outcast affiliations may have a `NodeSubscription` with the node.

Author:
  Matt Tucker

Nested Class Summary
`static class` | `NodeAffiliate.Affiliation` Affiliation with a node defines user permissions.

Constructor Summary
`NodeAffiliate(Node node, org.xmpp.packet.JID jid)`

Method Summary
`NodeAffiliate.Affiliation` | `getAffiliation()`
`org.xmpp.packet.JID` | `getJID()`
`Node` | `getNode()`
`Collection<NodeSubscription>` | `getSubscriptions()` Returns the list of subscriptions of the affiliate in the node.
`void` | `setAffiliation(NodeAffiliate.Affiliation affiliation)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeAffiliate

    public NodeAffiliate(Node node,
                         org.xmpp.packet.JID jid)

Method Detail

### getNode

    public Node getNode()

### getJID

    public org.xmpp.packet.JID getJID()

### getAffiliation

    public NodeAffiliate.Affiliation getAffiliation()

### setAffiliation

    public void setAffiliation(NodeAffiliate.Affiliation affiliation)

### getSubscriptions

    public Collection<NodeSubscription> getSubscriptions()

  Returns the list of subscriptions of the affiliate in the node.

  Returns:
    the list of subscriptions of the affiliate in the node.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.